# encoding: us-ascii
require 'rubygems'
require 'rake/gempackagetask'
require 'spec/rake/spectask'

RARG_VERSION = '0.1'
SRCS = FileList['lib/*', 'spec/*', '*.rb', '*.txt']

task :default => :package

spec = Gem::Specification.new do |s|
	s.platform = Gem::Platform::RUBY
	s.summary = "Small library for validating a Hash as named arguments"
	s.author = 'Dice'
	s.email = 'tetradice.1011@gmail.com'
	s.homepage = 'http://rubyforge.org/projects/rarg/'
	s.name = 'rarg'
	s.rubyforge_project = 'rarg'
	s.version = '0.1'
	s.files = SRCS
	s.description = <<EOF
RArg is simple and small library for validating a Hash as named arguments (keyword arguments).
It has three functions, requiring arguments, setting default arguments, and aliasing argument name.
EOF
end

Rake::GemPackageTask.new(spec) do |pkg|
end

task :package => "rarg-#{RARG_VERSION}.zip"

task :repackage => [:clobber, :package]

file "rarg-#{RARG_VERSION}.zip" => SRCS do |task|
	src_list = SRCS.to_a.map{|x| %Q|"#{x}"|}.join(' ')
	sh "zip #{task.name} #{src_list}"
end


Spec::Rake::SpecTask.new do |tasklib|
	tasklib.libs << ['./lib']
	tasklib.spec_files = FileList['spec/*.rb']
	tasklib.ruby_opts = %w(-Ku)
end
